Index: /trunk/src/bp-groups/bp-groups-template.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-template.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-template.php	(revision 10373)
@@ -197,5 +197,5 @@
 	function __construct( $args = array() ){
 
-		// Backward compatibility with old method of passing arguments
+		// Backward compatibility with old method of passing arguments.
 		if ( ! is_array( $args ) || func_num_args() > 1 ) {
 			_deprecated_argument( __METHOD__, '1.7', sprintf( __( 'Arguments passed to %1$s should be in an associative array. See the inline documentation at %2$s for more details.', 'buddypress' ), __METHOD__, __FILE__ ) );
@@ -265,5 +265,5 @@
 			}
 
-			// backwards compatibility - the 'group_id' variable is not part of the
+			// Backwards compatibility - the 'group_id' variable is not part of the
 			// BP_Groups_Group object, but we add it here for devs doing checks against it
 			//
@@ -271,5 +271,5 @@
 			//
 			// this is subject to removal in a future release; devs should check against
-			// $group->id instead
+			// $group->id instead.
 			$group->group_id = $group->id;
 
@@ -326,5 +326,5 @@
 		}
 
-		// Build pagination links
+		// Build pagination links.
 		if ( (int) $this->total_group_count && (int) $this->pag_num ) {
 			$pag_args = array(
@@ -420,5 +420,5 @@
 			 */
 			do_action('group_loop_end');
-			// Do some cleaning up after the loop
+			// Do some cleaning up after the loop.
 			$this->rewind_groups();
 		}
@@ -499,5 +499,5 @@
 	global $groups_template;
 
-	/***
+	/*
 	 * Defaults based on the current page & overridden by parsed $args
 	 */
@@ -506,5 +506,5 @@
 	$search_terms = false;
 
-	// When looking your own groups, check for two action variables
+	// When looking your own groups, check for two action variables.
 	if ( bp_is_current_action( 'my-groups' ) ) {
 		if ( bp_is_action_variable( 'most-popular', 0 ) ) {
@@ -514,9 +514,9 @@
 		}
 
-	// When looking at invites, set type to invites
+	// When looking at invites, set type to invites.
 	} elseif ( bp_is_current_action( 'invites' ) ) {
 		$type = 'invites';
 
-	// When looking at a single group, set the type and slug
+	// When looking at a single group, set the type and slug.
 	} elseif ( bp_get_current_group_slug() ) {
 		$type = 'single-group';
@@ -524,5 +524,5 @@
 	}
 
-	// Default search string (too soon to escape here)
+	// Default search string (too soon to escape here).
 	$search_query_arg = bp_core_get_component_search_query_arg( 'groups' );
 	if ( ! empty( $_REQUEST[ $search_query_arg ] ) ) {
@@ -534,5 +534,5 @@
 	}
 
-	// Parse defaults and requested arguments
+	// Parse defaults and requested arguments.
 	$r = bp_parse_args( $args, array(
 		'type'              => $type,
@@ -554,5 +554,5 @@
 	), 'has_groups' );
 
-	// Setup the Groups template global
+	// Setup the Groups template global.
 	$groups_template = new BP_Groups_Template( array(
 		'type'              => $r['type'],
@@ -610,5 +610,4 @@
  *
  * @param object|bool $group Optional. Group object. Default: current group in loop.
- *
  * @return bool
  */
@@ -648,5 +647,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return int
 	 */
@@ -684,5 +682,4 @@
 	 *
 	 * @param array $classes Array of custom classes.
-	 *
 	 * @return string Row class of the group.
 	 */
@@ -690,10 +687,10 @@
 		global $groups_template;
 
-		// Add even/odd classes, but only if there's more than 1 group
+		// Add even/odd classes, but only if there's more than 1 group.
 		if ( $groups_template->group_count > 1 ) {
 			$pos_in_loop = (int) $groups_template->current_group;
 			$classes[]   = ( $pos_in_loop % 2 ) ? 'even' : 'odd';
 
-		// If we've only one group in the loop, don't bother with odd and even
+		// If we've only one group in the loop, don't bother with odd and even.
 		} else {
 			$classes[] = 'bp-single-group';
@@ -703,18 +700,18 @@
 		$classes[] = sanitize_key( $groups_template->group->status );
 
-		// User's group role
+		// User's group role.
 		if ( bp_is_user_active() ) {
 
-			// Admin
+			// Admin.
 			if ( bp_group_is_admin() ) {
 				$classes[] = 'is-admin';
 			}
 
-			// Moderator
+			// Moderator.
 			if ( bp_group_is_mod() ) {
 				$classes[] = 'is-mod';
 			}
 
-			// Member
+			// Member.
 			if ( bp_group_is_member() ) {
 				$classes[] = 'is-member';
@@ -757,5 +754,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -792,5 +788,4 @@
  * @param object|bool $group Optional. Group object.
  *                           Default: current group in loop.
- *
  * @return string
  */
@@ -835,5 +830,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -874,5 +868,5 @@
 	 * @see bp_core_fetch_avatar() For a description of arguments and return values.
 
-	 * @param array $args  {
+	 * @param array|string $args {
 	 *     Arguments are listed here with an explanation of their defaults.
 	 *     For more information about the arguments, see {@link bp_core_fetch_avatar()}.
@@ -895,5 +889,5 @@
 		}
 
-		// Parse the arguments
+		// Parse the arguments.
 		$r = bp_parse_args( $args, array(
 			'type'   => 'full',
@@ -905,5 +899,5 @@
 		) );
 
-		// Fetch the avatar from the folder
+		// Fetch the avatar from the folder.
 		$avatar = bp_core_fetch_avatar( array(
 			'item_id'    => $groups_template->group->id,
@@ -919,5 +913,5 @@
 		) );
 
-		// If No avatar found, provide some backwards compatibility
+		// If No avatar found, provide some backwards compatibility.
 		if ( empty( $avatar ) ) {
 			$avatar = '<img src="' . esc_url( $groups_template->group->avatar_thumb ) . '" class="avatar" alt="' . esc_attr( $groups_template->group->name ) . '" />';
@@ -953,5 +947,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -981,5 +974,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -996,5 +988,5 @@
 
 /**
- * Should we use the group's cover image header
+ * Should we use the group's cover image header.
  *
  * @since 2.4.0
@@ -1021,5 +1013,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1066,5 +1057,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1100,5 +1090,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1134,5 +1123,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1168,5 +1156,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1206,5 +1193,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1246,5 +1232,4 @@
 	 *                           Defaults to the group currently being
 	 *                           iterated on in the groups loop.
-	 *
 	 * @return string Excerpt.
 	 */
@@ -1285,5 +1270,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1320,6 +1304,5 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
-	 * @return unknown
+	 * @return mixed
 	 */
 	function bp_get_group_is_public( $group = false ) {
@@ -1347,5 +1330,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1381,5 +1363,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1415,5 +1396,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return int
 	 */
@@ -1449,5 +1429,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1475,5 +1454,4 @@
  *                             Default: current group in loop.
  * @param int         $user_id ID of the user.
- *
  * @return bool
  */
@@ -1589,5 +1567,5 @@
 	}
 
-	// fetch group admins if 'populate_extras' flag is false
+	// Fetch group admins if 'populate_extras' flag is false.
 	if ( empty( $group->args['populate_extras'] ) ) {
 		$query = new BP_Group_Member_Query( array(
@@ -1629,5 +1607,5 @@
 	}
 
-	// fetch group mods if 'populate_extras' flag is false
+	// Fetch group mods if 'populate_extras' flag is false.
 	if ( empty( $group->args['populate_extras'] ) ) {
 		$query = new BP_Group_Member_Query( array(
@@ -1759,5 +1737,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -1784,5 +1761,5 @@
  * No longer used in BuddyPress.
  *
- * @todo Deprecate
+ * @todo Deprecate.
  */
 function bp_group_search_form() {
@@ -1807,5 +1784,5 @@
  * No longer used in BuddyPress.
  *
- * @todo Deprecate
+ * @todo Deprecate.
  *
  * @return bool True if the displayed user has no groups, otherwise false.
@@ -1932,5 +1909,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return int
 	 */
@@ -1995,5 +1971,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in loop.
-	 *
 	 * @return string
 	 */
@@ -2201,5 +2176,5 @@
  *
  * @param string      $setting The setting you want to check against ('members',
- *	                           'mods', or 'admins').
+ *                             'mods', or 'admins').
  * @param object|bool $group   Optional. Group object. Default: current group in loop.
  */
@@ -2230,5 +2205,4 @@
  *                           check. Default: the displayed group, or the current group
  *                           in the loop.
- *
  * @return bool|string Returns false when no group can be found. Otherwise
  *                     returns the group invite status, from among 'members',
@@ -2242,8 +2216,8 @@
 
 		if ( isset( $bp->groups->current_group->id ) ) {
-			// Default to the current group first
+			// Default to the current group first.
 			$group_id = $bp->groups->current_group->id;
 		} elseif ( isset( $groups_template->group->id ) ) {
-			// Then see if we're in the loop
+			// Then see if we're in the loop.
 			$group_id = $groups_template->group->id;
 		} else {
@@ -2254,5 +2228,5 @@
 	$invite_status = groups_get_groupmeta( $group_id, 'invite_status' );
 
-	// Backward compatibility. When 'invite_status' is not set, fall back to a default value
+	// Backward compatibility. When 'invite_status' is not set, fall back to a default value.
 	if ( !$invite_status ) {
 		$invite_status = apply_filters( 'bp_group_invite_status_fallback', 'members' );
@@ -2297,5 +2271,5 @@
 
 	if ( $user_id ) {
-		// Users with the 'bp_moderate' cap can always send invitations
+		// Users with the 'bp_moderate' cap can always send invitations.
 		if ( user_can( $user_id, 'bp_moderate' ) ) {
 			$can_send_invites = true;
@@ -2497,5 +2471,4 @@
  *
  * @param object|bool $group Optional. Group object. Default: current group in loop.
- *
  * @return array Info about group admins (user_id + date_modified).
  */
@@ -2616,5 +2589,4 @@
 	 *                             member in a member loop.
 	 * @param object|bool $group   Optional. Group object. Default: current group.
-	 *
 	 * @return string
 	 */
@@ -2661,5 +2633,4 @@
 	 *                             Default: current member in a member loop.
 	 * @param object|bool $group   Optional. Group object. Default: current group.
-	 *
 	 * @return string
 	 */
@@ -2702,5 +2673,4 @@
 	 *                             Default: current member in a member loop.
 	 * @param object|bool $group   Optional. Group object. Default: current group.
-	 *
 	 * @return string
 	 */
@@ -2747,5 +2717,4 @@
 	 *                             Default: current member in a member loop.
 	 * @param object|bool $group   Optional. Group object. Default: current group.
-	 *
 	 * @return string
 	 */
@@ -2800,5 +2769,4 @@
  * @param  string $subnav_item   subnav item params.
  * @param  string $selected_item Surrent selected tab.
- *
  * @return string HTML output
  */
@@ -2862,5 +2830,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in the loop.
-	 *
 	 * @return string
 	 */
@@ -2896,5 +2863,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in the loop.
-	 *
 	 * @return string
 	 */
@@ -2925,5 +2891,4 @@
  * @param object|bool $group Optional. Group object.
  *                           Default: current group in the loop.
- *
  * @return bool
  */
@@ -2949,5 +2914,4 @@
  * @param object|bool $group Optional. Group to check is_member.
  *                           Default: current group in the loop.
- *
  * @return bool If user is member of group or not.
  */
@@ -2955,5 +2919,5 @@
 	global $groups_template;
 
-	// Site admins always have access
+	// Site admins always have access.
 	if ( bp_current_user_can( 'bp_moderate' ) ) {
 		return true;
@@ -2979,5 +2943,4 @@
  * @param object|bool $group Optional. Group data object.
  *                           Default: the current group in the groups loop.
- *
  * @return bool True if the user has an outstanding invite, otherwise false.
  */
@@ -3018,5 +2981,4 @@
  * @param BP_Groups_Group|bool $group   Group to check if user is banned.
  * @param int                  $user_id The user ID to check.
- *
  * @return bool True if user is banned.  False if user isn't banned.
  */
@@ -3024,17 +2986,17 @@
 	global $groups_template;
 
-	// Site admins always have access
+	// Site admins always have access.
 	if ( bp_current_user_can( 'bp_moderate' ) ) {
 		return false;
 	}
 
-	// check groups loop first
-	// @see BP_Groups_Group::get_group_extras()
+	// Check groups loop first
+	// @see BP_Groups_Group::get_group_extras().
 	if ( ! empty( $groups_template->in_the_loop ) && isset( $groups_template->group->is_banned ) ) {
 		$retval = $groups_template->group->is_banned;
 
-	// not in loop
+	// Not in loop.
 	} else {
-		// Default to not banned
+		// Default to not banned.
 		$retval = false;
 
@@ -3073,5 +3035,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: Current group in the loop.
-	 *
 	 * @return string
 	 */
@@ -3106,5 +3067,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: Current group in the loop.
-	 *
 	 * @return string
 	 */
@@ -3139,5 +3099,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: Current group in the loop.
-	 *
 	 * @return string
 	 */
@@ -3170,5 +3129,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: Current group in the loop.
-	 *
 	 * @return string
 	 */
@@ -3201,5 +3159,4 @@
 	 * @param object|bool $group Optional. Group object.
 	 *                           Default: current group in the loop.
-	 *
 	 * @return string
 	 */
@@ -3226,5 +3183,4 @@
  * @param object|bool $group Optional. Group object.
  *                           Default: current group in the loop.
- *
  * @return bool
  */
@@ -3266,5 +3222,4 @@
 	 * @param BP_Groups_Group|bool $group The BP Groups_Group object if
 	 *                                    passed, boolean false if not passed.
-	 *
 	 * @return string HTML code for the button.
 	 */
@@ -3319,5 +3274,4 @@
 	 *
 	 * @param object|bool $group Single group object.
-	 *
 	 * @return mixed
 	 */
@@ -3325,23 +3279,23 @@
 		global $groups_template;
 
-		// Set group to current loop group if none passed
+		// Set group to current loop group if none passed.
 		if ( empty( $group ) ) {
 			$group =& $groups_template->group;
 		}
 
-		// Don't show button if not logged in or previously banned
+		// Don't show button if not logged in or previously banned.
 		if ( ! is_user_logged_in() || bp_group_is_user_banned( $group ) ) {
 			return false;
 		}
 
-		// Group creation was not completed or status is unknown
+		// Group creation was not completed or status is unknown.
 		if ( empty( $group->status ) ) {
 			return false;
 		}
 
-		// Already a member
+		// Already a member.
 		if ( ! empty( $group->is_member ) ) {
 
-			// Stop sole admins from abandoning their group
+			// Stop sole admins from abandoning their group.
 			$group_admins = groups_get_group_admins( $group->id );
 			if ( ( 1 == count( $group_admins ) ) && ( bp_loggedin_user_id() === (int) $group_admins[0]->user_id ) ) {
@@ -3349,5 +3303,5 @@
 			}
 
-			// Setup button attributes
+			// Setup button attributes.
 			$button = array(
 				'id'                => 'leave_group',
@@ -3363,8 +3317,8 @@
 			);
 
-		// Not a member
+		// Not a member.
 		} else {
 
-			// Show different buttons based on group status
+			// Show different buttons based on group status.
 			switch ( $group->status ) {
 				case 'hidden' :
@@ -3389,5 +3343,5 @@
 
 					// Member has outstanding invitation -
-					// show an "Accept Invitation" button
+					// show an "Accept Invitation" button.
 					if ( $group->is_invited ) {
 						$button = array(
@@ -3405,5 +3359,5 @@
 
 					// Member has requested membership but request is pending -
-					// show a "Request Sent" button
+					// show a "Request Sent" button.
 					} elseif ( $group->is_pending ) {
 						$button = array(
@@ -3421,5 +3375,5 @@
 
 					// Member has not requested membership yet -
-					// show a "Request Membership" button
+					// show a "Request Membership" button.
 					} else {
 						$button = array(
@@ -3515,8 +3469,8 @@
 	 */
 	function bp_get_group_create_nav_item() {
-		// Get the create a group button
+		// Get the create a group button.
 		$create_group_button = bp_get_group_create_button();
 
-		// Make sure the button is available
+		// Make sure the button is available.
 		if ( empty( $create_group_button ) ) {
 			return;
@@ -3541,14 +3495,15 @@
  * @since 2.2.0
  *
- * @uses   bp_group_create_nav_item() to output the create a Group nav item.
+ * @uses bp_group_create_nav_item() to output the create a Group nav item.
+ *
  * @return string HTML Output
  */
 function bp_group_backcompat_create_nav_item() {
-	// Bail if the Groups nav item is already used by bp-legacy
+	// Bail if the Groups nav item is already used by bp-legacy.
 	if ( has_action( 'bp_groups_directory_group_filter', 'bp_legacy_theme_group_create_nav', 999 ) ) {
 		return;
 	}
 
-	// Bail if the theme is not filtering the Groups directory title
+	// Bail if the theme is not filtering the Groups directory title.
 	if ( ! has_filter( 'bp_groups_directory_header' ) ) {
 		return;
@@ -3566,4 +3521,5 @@
  *
  * @global BP_Groups_Template $groups_template Groups template object.
+ *
  * @param object $group Group to get status message for. Optional; defaults to current group.
  */
@@ -3571,18 +3527,18 @@
 	global $groups_template;
 
-	// Group not passed so look for loop
+	// Group not passed so look for loop.
 	if ( empty( $group ) ) {
 		$group =& $groups_template->group;
 	}
 
-	// Group status is not set (maybe outside of group loop?)
+	// Group status is not set (maybe outside of group loop?).
 	if ( empty( $group->status ) ) {
 		$message = __( 'This group is not currently accessible.', 'buddypress' );
 
-	// Group has a status
+	// Group has a status.
 	} else {
 		switch( $group->status ) {
 
-			// Private group
+			// Private group.
 			case 'private' :
 				if ( ! bp_group_has_requested_membership( $group ) ) {
@@ -3602,5 +3558,5 @@
 				break;
 
-			// Hidden group
+			// Hidden group.
 			case 'hidden' :
 			default :
@@ -3656,4 +3612,5 @@
 	 *
 	 * @since 1.0.0
+	 *
 	 * @return type
 	 */
@@ -3688,5 +3645,4 @@
 	 *
 	 * @param int $user_id User ID to get group membership count.
-	 *
 	 * @return int
 	 */
@@ -3705,5 +3661,5 @@
 	}
 
-/** Group Members *************************************************************/
+/* Group Members *************************************************************/
 
 class BP_Groups_Group_Members_Template {
@@ -3726,5 +3682,5 @@
 	 *     An array of optional arguments.
 	 *     @type int      $group_id           ID of the group whose members are being
-	 *	                                      queried. Default: current group ID.
+	 *                                        queried. Default: current group ID.
 	 *     @type int      $page               Page of results to be queried. Default: 1.
 	 *     @type int      $per_page           Number of items to return per page of
@@ -3742,5 +3698,5 @@
 	public function __construct( $args = array() ) {
 
-		// Backward compatibility with old method of passing arguments
+		// Backward compatibility with old method of passing arguments.
 		if ( ! is_array( $args ) || func_num_args() > 1 ) {
 			_deprecated_argument( __METHOD__, '2.0.0', sprintf( __( 'Arguments passed to %1$s should be in an associative array. See the inline documentation at %2$s for more details.', 'buddypress' ), __METHOD__, __FILE__ ) );
@@ -3787,5 +3743,5 @@
 		}
 
-		// Assemble the base URL for pagination
+		// Assemble the base URL for pagination.
 		$base_url = trailingslashit( bp_get_group_permalink( $current_group ) . bp_current_action() );
 		if ( bp_action_variable() ) {
@@ -3798,5 +3754,5 @@
 		$members_args['per_page'] = $this->pag_num;
 
-		// Get group members for this loop
+		// Get group members for this loop.
 		$this->members = groups_get_group_members( $members_args );
 
@@ -3807,5 +3763,5 @@
 		}
 
-		// Reset members array for subsequent looping
+		// Reset members array for subsequent looping.
 		$this->members = $this->members['members'];
 
@@ -3866,5 +3822,5 @@
 			do_action( 'loop_end', $this );
 
-			// Do some cleaning up after the loop
+			// Do some cleaning up after the loop.
 			$this->rewind_members();
 		}
@@ -3878,5 +3834,5 @@
 		$this->member      = $this->next_member();
 
-		// loop has just started
+		// Loop has just started.
 		if ( 0 == $this->current_member ) {
 
@@ -3977,5 +3933,5 @@
  * @since 1.0.0
  *
- * @param array|string $args {@see bp_core_fetch_avatar()}
+ * @param array|string $args {@see bp_core_fetch_avatar()}.
  */
 function bp_group_member_avatar( $args = '' ) {
@@ -3987,6 +3943,5 @@
 	 * @since 1.0.0
 	 *
-	 * @param array|string $args {@see bp_core_fetch_avatar()}
-	 *
+	 * @param array|string $args {@see bp_core_fetch_avatar()}.
 	 * @return string
 	 */
@@ -4017,7 +3972,6 @@
  * @since 1.0.0
  *
- * @param array|string $args {@see bp_core_fetch_avatar()}
- */
-
+ * @param array|string $args {@see bp_core_fetch_avatar()}.
+ */
 function bp_group_member_avatar_thumb( $args = '' ) {
 	echo bp_get_group_member_avatar_thumb( $args );
@@ -4028,6 +3982,5 @@
 	 * @since 1.0.0
 	 *
-	 * @param array|string $args {@see bp_core_fetch_avatar()}
-	 *
+	 * @param array|string $args {@see bp_core_fetch_avatar()}.
 	 * @return string
 	 */
@@ -4071,5 +4024,4 @@
 	 * @param int $width  Width of avatar to fetch.
 	 * @param int $height Height of avatar to fetch.
-	 *
 	 * @return string
 	 */
@@ -4399,6 +4351,4 @@
  *
  * @since 2.0.0
- *
- * @return string html output
  */
 function bp_groups_members_template_part() {
@@ -4437,6 +4387,4 @@
  *
  * @since 2.0.0
- *
- * @return string html output
  */
 function bp_groups_members_filter() {
@@ -4470,7 +4418,7 @@
 }
 
-/***************************************************************************
+/*
  * Group Creation Process Template Tags
- **/
+ */
 
 /**
@@ -4482,18 +4430,17 @@
  * @uses bp_get_option() To retrieve value of 'bp_restrict_group_creation'. Defaults to 0.
  * @uses bp_current_user_can() To determine if current user if super admin.
- *
  * @return bool True if user can create groups. False otherwise.
  */
 function bp_user_can_create_groups() {
 
-	// Super admin can always create groups
+	// Super admin can always create groups.
 	if ( bp_current_user_can( 'bp_moderate' ) ) {
 		return true;
 	}
 
-	// Get group creation option, default to 0 (allowed)
+	// Get group creation option, default to 0 (allowed).
 	$restricted = (int) bp_get_option( 'bp_restrict_group_creation', 0 );
 
-	// Allow by default
+	// Allow by default.
 	$can_create = true;
 
@@ -4581,5 +4528,5 @@
 function bp_is_group_creation_step( $step_slug ) {
 
-	// Make sure we are in the groups component
+	// Make sure we are in the groups component.
 	if ( ! bp_is_groups_component() || ! bp_is_current_action( 'create' ) ) {
 		return false;
@@ -4588,5 +4535,5 @@
 	$bp = buddypress();
 
-	// If this the first step, we can just accept and return true
+	// If this the first step, we can just accept and return true.
 	$keys = array_keys( $bp->groups->group_creation_steps );
 	if ( !bp_action_variable( 1 ) && array_shift( $keys ) == $step_slug ) {
@@ -4595,5 +4542,5 @@
 
 	// Before allowing a user to see a group creation step we must make sure
-	// previous steps are completed
+	// previous steps are completed.
 	if ( !bp_is_first_group_creation_step() ) {
 		if ( !bp_are_previous_group_creation_steps_complete( $step_slug ) ) {
@@ -4602,5 +4549,5 @@
 	}
 
-	// Check the current step against the step parameter
+	// Check the current step against the step parameter.
 	if ( bp_is_action_variable( $step_slug ) ) {
 		return true;
@@ -4637,5 +4584,5 @@
 	$bp = buddypress();
 
-	// If this is the first group creation step, return true
+	// If this is the first group creation step, return true.
 	$keys = array_keys( $bp->groups->group_creation_steps );
 	if ( array_shift( $keys ) == $step_slug ) {
@@ -4647,5 +4594,5 @@
 	$previous_steps = array();
 
-	// Get previous steps
+	// Get previous steps.
 	foreach ( (array) $bp->groups->group_creation_steps as $slug => $name ) {
 		if ( $slug === $step_slug ) {
@@ -4761,5 +4708,5 @@
  * @see bp_core_fetch_avatar() For more information on accepted arguments
  *
- * @param  array  $args See bp_core_fetch_avatar()
+ * @param array|string $args See bp_core_fetch_avatar().
  */
 function bp_new_group_avatar( $args = '' ) {
@@ -4773,5 +4720,5 @@
 	 * @see bp_core_fetch_avatar() For a description of arguments and return values.
 	 *
-	 * @param array $args  {
+	 * @param array|string $args {
 	 *     Arguments are listed here with an explanation of their defaults.
 	 *     For more information about the arguments, see {@link bp_core_fetch_avatar()}.
@@ -4788,5 +4735,5 @@
 	function bp_get_new_group_avatar( $args = '' ) {
 
-		// Parse arguments
+		// Parse arguments.
 		$r = bp_parse_args( $args, array(
 			'type'    => 'full',
@@ -4799,5 +4746,5 @@
 		), 'get_new_group_avatar' );
 
-		// Merge parsed arguments with object specific data
+		// Merge parsed arguments with object specific data.
 		$r = array_merge( $r, array(
 			'item_id'    => bp_get_current_group_id(),
@@ -4806,5 +4753,5 @@
 		) );
 
-		// Get the avatar
+		// Get the avatar.
 		$avatar = bp_core_fetch_avatar( $r );
 
@@ -4840,17 +4787,17 @@
 		$steps = array_keys( $bp->groups->group_creation_steps );
 
-		// Loop through steps
+		// Loop through steps.
 		foreach ( $steps as $slug ) {
 
-			// Break when the current step is found
+			// Break when the current step is found.
 			if ( bp_is_action_variable( $slug ) ) {
 				break;
 			}
 
-			// Add slug to previous steps
+			// Add slug to previous steps.
 			$previous_steps[] = $slug;
 		}
 
-		// Generate the URL for the previous step
+		// Generate the URL for the previous step.
 		$group_directory = bp_get_groups_directory_permalink();
 		$create_step     = 'create/step/';
@@ -4911,20 +4858,20 @@
  * @since 1.1.0
  *
- * @param  string $step Step to compare
- * @return bool         True if yes, False if no
+ * @param string $step Step to compare.
+ * @return bool True if yes, False if no
  */
 function bp_is_last_group_creation_step( $step = '' ) {
 
-	// Use current step, if no step passed
+	// Use current step, if no step passed.
 	if ( empty( $step ) ) {
 		$step = bp_get_groups_current_create_step();
 	}
 
-	// Get the last step
+	// Get the last step.
 	$bp     = buddypress();
 	$steps  = array_keys( $bp->groups->group_creation_steps );
 	$l_step = array_pop( $steps );
 
-	// Compare last step to step
+	// Compare last step to step.
 	$retval = ( $l_step === $step );
 
@@ -4946,20 +4893,20 @@
  * @since 1.1.0
  *
- * @param  string $step Step to compare
- * @return bool         True if yes, False if no
+ * @param string $step Step to compare.
+ * @return bool True if yes, False if no
  */
 function bp_is_first_group_creation_step( $step = '' ) {
 
-	// Use current step, if no step passed
+	// Use current step, if no step passed.
 	if ( empty( $step ) ) {
 		$step = bp_get_groups_current_create_step();
 	}
 
-	// Get the first step
+	// Get the first step.
 	$bp     = buddypress();
 	$steps  = array_keys( $bp->groups->group_creation_steps );
 	$f_step = array_shift( $steps );
 
-	// Compare first step to step
+	// Compare first step to step.
 	$retval = ( $f_step === $step );
 
@@ -4980,4 +4927,6 @@
  *
  * @since 1.0.0
+ *
+ * @param array $args Array of arguments for friends list output.
  */
 function bp_new_group_invite_friend_list( $args = array() ) {
@@ -4989,15 +4938,15 @@
 	 * @since 1.0.0
 	 *
-	 * @param  array $args
+	 * @param array $args Array of arguments for friends list output.
 	 * @return mixed HTML list of checkboxes, or false
 	 */
 	function bp_get_new_group_invite_friend_list( $args = array() ) {
 
-		// Bail if no friends component
+		// Bail if no friends component.
 		if ( ! bp_is_active( 'friends' ) ) {
 			return false;
 		}
 
-		// Parse arguments
+		// Parse arguments.
 		$r = wp_parse_args( $args, array(
 			'user_id'   => bp_loggedin_user_id(),
@@ -5006,5 +4955,5 @@
 		) );
 
-		// No group passed, so look for new or current group ID's
+		// No group passed, so look for new or current group ID's.
 		if ( empty( $r['group_id'] ) ) {
 			$bp            = buddypress();
@@ -5014,13 +4963,13 @@
 		}
 
-		// Setup empty items array
+		// Setup empty items array.
 		$items = array();
 
-		// Get user's friends who are not in this group already
+		// Get user's friends who are not in this group already.
 		$friends = friends_get_friends_invite_list( $r['user_id'], $r['group_id'] );
 
 		if ( ! empty( $friends ) ) {
 
-			// Get already invited users
+			// Get already invited users.
 			$invites = groups_get_invites_for_group( $r['user_id'], $r['group_id'] );
 
@@ -5132,6 +5081,5 @@
  * @since 1.1.0
  *
- * @param string $slug
- *
+ * @param string $slug Admin screen slug.
  * @return bool
  */
@@ -5180,6 +5128,8 @@
  *
  * @since 1.0.0
- * @param string $type thumb or full ?
+ *
  * @uses bp_get_group_current_avatar() to get the avatar of the current group.
+ *
+ * @param string $type Thumb or full.
  */
 function bp_group_current_avatar( $type = 'thumb' ) {
@@ -5191,5 +5141,5 @@
 	 * @since 2.0.0
 	 *
-	 * @param string $type thumb or full ?
+	 * @param string $type Thumb or full.
 	 * @return string $tab The current tab's slug.
 	 */
